gstreamer1.0-libav: disable API documentation

Message ID 20190614152715.14722-1-ross.burton@intel.com
State Accepted
Commit 27744ad292c9d7e57ebcf7c3c30acbd85aac77a4
Headers show
Series
  • gstreamer1.0-libav: disable API documentation
Related show

Commit Message

Ross Burton June 14, 2019, 3:27 p.m.
With the latest gtk-doc release the gstreamer1.0-libav documentation fails to
build:

| gst-libav-plugins-docs.sgml:38: element include: XInclude error:
| could not load xml/tree_index.sgml, and no fallback was found

For the short term we can just disable the documentation.  The next upstream
release of gstreamer1.0-libav doesn't use gtk-doc anyway.

Signed-off-by: Ross Burton <ross.burton@intel.com>

---
 meta/recipes-multimedia/gstreamer/gstreamer1.0-libav_1.16.0.bb | 5 +++++
 1 file changed, 5 insertions(+)

-- 
2.11.0

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core

Patch

diff --git a/meta/recipes-multimedia/gstreamer/gstreamer1.0-libav_1.16.0.bb b/meta/recipes-multimedia/gstreamer/gstreamer1.0-libav_1.16.0.bb
index 3f1ec99d956..d94c3215dc4 100644
--- a/meta/recipes-multimedia/gstreamer/gstreamer1.0-libav_1.16.0.bb
+++ b/meta/recipes-multimedia/gstreamer/gstreamer1.0-libav_1.16.0.bb
@@ -28,6 +28,11 @@  DEPENDS = "gstreamer1.0 gstreamer1.0-plugins-base zlib bzip2 xz"
 
 inherit autotools pkgconfig upstream-version-is-even gtk-doc
 
+# Disable documentation for now as it is failing with gtk-doc 1.30:
+# gst-libav-plugins-docs.sgml:38: element include: XInclude error:
+# could not load xml/tree_index.sgml, and no fallback was found
+GTKDOC_ENABLED = "False"
+
 # CAUTION: Using the system libav is not recommended. Since the libav API is changing all the time,
 # compilation errors (and other, more subtle bugs) can happen. It is usually better to rely on the
 # libav copy included in the gst-libav package.